For the complete documentation index, see llms.txt.
Shipments
POST
/api/orders/shipmentsPrint Labels
Print shipping labels for given orders. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.
Shipments
Print labels, batch labels, clone shipments, replace shipments, and work with shipment documents.
7 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/shipments
Details
Print shipping labels for given orders. The labels field returned in the response is a base64 encoded string that you can simply use to decode and save the output as a PDF file.
Print Labels Request
Print Labels Response
Print Labels - Label Model
Request body
{
"order_ids": [
1020304051,
1020324318,
1020356475,
1020363915,
1020365786
],
"reprint": false
}Response examples
Print Labels
{
"labels": [
{
"label_type": "AusPost",
"label_base64_string": "JVBERi0xLjQKJeLjz9M .......... lwZS9JbWFnZS9Xa"
}
],
"success": true
}